<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="xml" indent="yes" />

  <xsl:variable name="originalName" select="'qryResourcesExport'" />
  <xsl:variable name="newName" select="'MSysResources'" />

  <xsl:template match="@* | node()">
    <xsl:copy>
      <xsl:apply-templates select="@* | node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="node()[name() = 'xsd:element']/@*[local-name()='ref']">
    <xsl:choose>
      <xsl:when test=".=$originalName">
        <xsl:attribute name="{name()}" namespace="{namespace-uri()}"><xsl:value-of select="$newName"/></xsl:attribute>
      </xsl:when>
      <xsl:otherwise>
        <xsl:copy>
          <xsl:apply-templates select="@* | node()"/>
        </xsl:copy>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="node()[name()='xsd:element']/@*[local-name()='name']">
    <xsl:choose>
      <xsl:when test=".=$originalName">
        <xsl:attribute name="{name()}" namespace="{namespace-uri()}"><xsl:value-of select="$newName"/></xsl:attribute>
      </xsl:when>
      <xsl:otherwise>
        <xsl:copy>
          <xsl:apply-templates select="@* | node()"/>
        </xsl:copy>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
  <xsl:template match="node()">
    <xsl:choose>
      <xsl:when test="name()=$originalName">
        <xsl:element name="{$newName}">
          <xsl:apply-templates select="@* | node()"/>
        </xsl:element>
      </xsl:when>
      <xsl:otherwise>
        <xsl:copy>
          <xsl:apply-templates select="@* | node()"/>
        </xsl:copy>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>